authwrap/urls.py
from django.conf.urls import patterns, url
from django.contrib import admin

from . import views

admin.autodiscover()

urlpatterns = patterns(
    '',
    url(r'^$', views.profile, name='profile'),
    url(r'^login/$', views.login, name='login'),
    url(r'^logout/$', views.logout, name='logout'),
    url(r'^register/$', views.register, name='register'),
    url(r'^deactivate/$', views.deactivate, name='deactivate'),
    url(r'^send-activation/$', views.send_activation, name='send-activation'),
    url(r'^forgot-password/$', views.forgot_password, name='forgot-password'),
    url(r'^change-password/$', views.change_password, name='change-password'),
    url(r'^change-email/$', views.change_email, name='change-email'),

    url(r'^reset-password/(?P<token>[\w\d]+)/$', views.reset_password, name='reset-password'),
    url(r'^activate/(?P<token>[\w\d]+)/$', views.activate, name='activate'),
    url(r'^activate-email/(?P<token>[\w\d]+)/$', views.activate_email, name='activate-email'),

    url(r'^view-email/(?P<access>[\w\d]+)/$', views.view_email, name='view-email'),
)

urls.py
from django.conf.urls import patterns, include, url
from django.views.generic import TemplateView
import example.views

urlpatterns = patterns(
    "",
    url(r"^$", example.views.home, name='home'),
    url(r"^account/", include('authwrap.urls', namespace='authwrap')),
)

example/models.py
from django.db import models

# Create your models here.

example/views.py
from django.http import HttpResponseRedirect
from django.shortcuts import render
from django.core.urlresolvers import reverse

# Create your views here.

def home(request):
    if request.user.is_authenticated():
        return HttpResponseRedirect(reverse('authwrap:profile'))
    return render(request, 'home.html')

example/templates/home.html
{% extends 'site_base.html' %}

{% block body %}
<div class="jumbotron">
    <div class="container">
        <h1>Django Authwrap</h1>
    </div>
</div>
<div class="container">
    {% if user.is_authenticated %}
    <h2>Hello {{ user.email }}</h2>
    <ul class="list-unstyled">
        <li>
            <a href="{% url 'authwrap:change-email' %}">
                Update email address
            </a>
        </li>
        <li>
            <a href="{% url 'authwrap:change-password' %}">
                Update password
            </a>
        </li>
        <li>
            <a href="{% url 'authwrap:deactivate' %}">
                Deactivate your account
            </a>
        </li>
        <li>
            <a href="{% url 'authwrap:logout' %}">
                Logout
            </a>
        </li>
    </ul>
    {% else %}
    <h2>Create or login to your account</h2>
    <ul class="list-inline">
        <li>
            <a href="{% url 'authwrap:login' %}" class="btn btn-primary">Login</a>
        </li>
        <li>
            <a href="{% url 'authwrap:register' %}" class="btn btn-primary">Register</a>
        </li>
    </ul>
    {% endif %}
</div>
{% endblock %}